Xerces-C++ 3.2.3

List of all members
DOMDocumentRange Class Referenceabstract
Inheritance diagram for DOMDocumentRange:

## Public Member Functions
Destructor
virtual | ~DOMDocumentRange ()
| Destructor. More...
Functions introduced in DOM Level 2
virtual DOMRange * | createRange ()=0
| To create the range consisting of boundary-points and offset of the selected contents. More...

## Protected Member Functions
Hidden constructors
| DOMDocumentRange ()

## Detailed Description

See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

Since
  DOM Level 2

## Constructor & Destructor Documentation

## ◆ DOMDocumentRange()

DOMDocumentRange::DOMDocumentRange | ( |  | ) |
| protected

## ◆ ~DOMDocumentRange()

virtual DOMDocumentRange::~DOMDocumentRange | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ createRange()

virtual DOMRange* DOMDocumentRange::createRange | ( |  | ) |
| pure virtual

To create the range consisting of boundary-points and offset of the selected contents.

Returns
  The initial state of the Range such that both the boundary-points are positioned at the beginning of the corresponding DOMDOcument, before any content. The range returned can only be used to select content associated with this document, or with documentFragments and Attrs for which this document is the ownerdocument

Since
  DOM Level 2

The documentation for this class was generated from the following file:

- DOMDocumentRange.hpp